com.fasterxml.jackson.databind.jsontype.impl

## Class StdSubtypeResolver

- java.lang.Object
- - com.fasterxml.jackson.databind.jsontype.SubtypeResolver
  - - com.fasterxml.jackson.databind.jsontype.impl.StdSubtypeResolver

All Implemented Interfaces:
  Serializable

    public class StdSubtypeResolver
    extends SubtypeResolver
    implements Serializable

Standard `SubtypeResolver` implementation.

See Also:
  Serialized Form

### Field Summary

Fields
`protected LinkedHashSet<NamedType>` `_registeredSubtypes`

### Constructor Summary

Constructors
Constructor and Description
`StdSubtypeResolver()`

### Method Summary

Methods
`protected void` `_collectAndResolve(AnnotatedClass annotatedType, NamedType namedType, MapperConfig<?> config, AnnotationIntrospector ai, HashMap<NamedType,NamedType> collectedSubtypes)` Method called to find subtypes for a specific type (class)
`Collection<NamedType>` `collectAndResolveSubtypes(AnnotatedClass type, MapperConfig<?> config, AnnotationIntrospector ai)` Method for finding out all reachable subtypes for given type.
`Collection<NamedType>` `collectAndResolveSubtypes(AnnotatedMember property, MapperConfig<?> config, AnnotationIntrospector ai)` Deprecated. Since 2.1
`Collection<NamedType>` `collectAndResolveSubtypes(AnnotatedMember property, MapperConfig<?> config, AnnotationIntrospector ai, JavaType baseType)` Method for finding out all reachable subtypes for a property specified by given element (method or field)
`void` `registerSubtypes(Class<?>... classes)`
`void` `registerSubtypes(NamedType... types)` Method for registering specified subtypes (possibly including type names); for type entries without name, non-qualified class name as used as name (unless overridden by annotation).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _registeredSubtypes

    protected LinkedHashSet<NamedType> _registeredSubtypes

### Constructor Detail

#### StdSubtypeResolver

    public StdSubtypeResolver()

### Method Detail

#### registerSubtypes

    public void registerSubtypes(NamedType... types)

Description copied from class: `SubtypeResolver`
Method for registering specified subtypes (possibly including type names); for type entries without name, non-qualified class name as used as name (unless overridden by annotation).

Specified by:
  `registerSubtypes` in class `SubtypeResolver`

#### registerSubtypes

    public void registerSubtypes(Class<?>... classes)

Specified by:
  `registerSubtypes` in class `SubtypeResolver`

#### collectAndResolveSubtypes

    @Deprecated
    public Collection<NamedType> collectAndResolveSubtypes(AnnotatedMember property,
                                                             MapperConfig<?> config,
                                                             AnnotationIntrospector ai)

Deprecated. Since 2.1

Specified by:
  `collectAndResolveSubtypes` in class `SubtypeResolver`

#### collectAndResolveSubtypes

    public Collection<NamedType> collectAndResolveSubtypes(AnnotatedMember property,
                                                  MapperConfig<?> config,
                                                  AnnotationIntrospector ai,
                                                  JavaType baseType)

Description copied from class: `SubtypeResolver`
Method for finding out all reachable subtypes for a property specified by given element (method or field)

Specified by:
  `collectAndResolveSubtypes` in class `SubtypeResolver`
Parameters:
  `property` - Base member to use for type resolution: either annotated type (class), or property (field, getter/setter)
  `baseType` - Effective property base type to use; may differ from actual type of property; for structured types it is content (value) type and NOT structured type.
Since:
  2.1

#### collectAndResolveSubtypes

    public Collection<NamedType> collectAndResolveSubtypes(AnnotatedClass type,
                                                  MapperConfig<?> config,
                                                  AnnotationIntrospector ai)

Description copied from class: `SubtypeResolver`
Method for finding out all reachable subtypes for given type.

Specified by:
  `collectAndResolveSubtypes` in class `SubtypeResolver`

#### _collectAndResolve

    protected void _collectAndResolve(AnnotatedClass annotatedType,
                          NamedType namedType,
                          MapperConfig<?> config,
                          AnnotationIntrospector ai,
                          HashMap<NamedType,NamedType> collectedSubtypes)

Method called to find subtypes for a specific type (class)